
# norootforbuild

Name:           open-xchange-voipnow-gui
BuildArch:	noarch
#!BuildIgnore: post-build-checks
BuildRequires:  ant
%if 0%{?suse_version} && 0%{?sles_version} < 11
%if %{?suse_version} <= 1010
# SLES10
BuildRequires:  java-1_5_0-ibm >= 1.5.0_sr9
BuildRequires:  java-1_5_0-ibm-devel >= 1.5.0_sr9
BuildRequires:  java-1_5_0-ibm-alsa >= 1.5.0_sr9
BuildRequires:  update-alternatives
%endif
%if %{?suse_version} >= 1100
BuildRequires:  java-sdk-openjdk
%endif
%if %{?suse_version} > 1010 && %{?suse_version} < 1100
BuildRequires:  java-sdk-1.5.0-sun
%endif
%endif
%if 0%{?sles_version} >= 11
# SLES11 or higher
BuildRequires:  java-1_6_0-ibm-devel
%endif

%if 0%{?rhel_version}
# libgcj seems to be installed whether we want or not and libgcj needs cairo
BuildRequires:  java-sdk-sun cairo
%endif
%if 0%{?fedora_version}
%if %{?fedora_version} > 8
BuildRequires:  java-1.6.0-openjdk-devel saxon
%endif
%endif
%if 0%{?centos_version}
BuildRequires:  java-1.6.0-openjdk-devel
%endif
Version:        6.20.7.0
%define         ox_release 15
Release:        %{ox_release}_<CI_CNT>.<B_CNT>
Group:          Applications/Productivity
License:        GNU General Public License (GPL)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
#URL:            
Source:         %{name}_%{version}.orig.tar.gz
Summary:        Open-Xchange Gui for VoipNow.
Requires:       open-xchange-gui >= 6.20.7.0
#

%description
Open-Xchange Gui for VoipNow.

Authors:
--------
    Open-Xchange

%prep
%setup -q

%build


%install
export NO_BRP_CHECK_BYTECODE_VERSION=true

ant -Dguiprefix=/var/www/html/ox6 -Dlib.dir=/opt/open-xchange/lib -Ddestdir=%{buildroot} -Dprefix=/opt/open-xchange install

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root)
%dir /var/www/html/ox6/plugins/com.4psa.voipnow
/var/www/html/ox6/plugins/com.4psa.voipnow/*

%changelog
* Thu May 12 2011 - viktor.pracht@open-xchange.com
  - Fixed bug #19019 : Fax plugin looks different between embedded windows and popup
* Tue Apr 26 2011 - viktor.pracht@open-xchange.com
  - Fixed bug #19019 : Fax plugin looks different between embedded windows and popup
* Tue Apr 12 2011 - viktor.pracht@open-xchange.com
  - Fixed bug #18940 : Close Button in VOIPNow Dial Dialog not translated
* Tue Feb 15 2011 - viktor.pracht@open-xchange.com
  - Fixed bug #18310 : VoipNow Fax Plugin in Embedded Windows
* Wed Dec 01 2010 - viktor.pracht@open-xchange.com
  - Fixed bug #17694 : VOIP Now Integration shows calls duplicated
* Tue Nov 30 2010 - viktor.pracht@open-xchange.com
  - Big update for 6.18.2
* Thu Nov 11 2010 - viktor.pracht@open-xchange.com
  - Fixed bug #17505 : Mobile Autoconfig Plugin does not work
* Tue May 04 2010 - viktor.pracht@open-xchange.com
  - TA2995 for US4415: Call history
* Thu Jan 14 2010 - benjamin.otterbach@open-xchange.com
  - Initial import
